<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('flux_cms_slugs', function (Blueprint $table) {
            $table->id();
            $table->morphs('model');
            $table->string('locale')->index();
            $table->string('slug');
            $table->timestamps();

            $table->unique(['locale', 'slug']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('flux_cms_slugs');
    }
};
